Bug Hunting Session
Bug 39735 - Include Czech spellchecker
Summary: Include Czech spellchecker
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 16:29 UTC by Frantisek Erben
Modified: 2011-12-28 13:21 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frantisek Erben 2011-08-01 16:29:11 UTC
How to reproduce:
Install "LibO_3.4.2_MacOS_x86_install_en-US.dmg" and "LibO_3.4.2_MacOS_x86_langpack_cs.dmg". Set Czech (Čeština) into preffered locale settings (not depend on UI setting, you can leave it on English US). Open any Czech document with grammar mistakes and go to menu Tools->Spelling and Grammar (F7).

Actual result:
Process without any corrections - Spelling and Grammar dialog appear, in front appear dialog "Continue checking from beginining of document?" you can clikc to Yes and Spellchecker finished without any corrections.

Expected result:
Normal process Grammar and spelling function and find my mistakes.

Additional info:
This bug was tested only on Mac OS X 10.7.0, but it should occure on all supported platforms. In czech discussion I've found WindowsXP users which found the same bug (http://www.zive.cz/poradna/libreoffice-33-a-34--nefukcni-kontrola-pravopisu/sc-20-cq-455908/default.aspx?consultanswers=1). 

Workaround:
With limitations yes, you can download extension to OpenOffice (http://www.liberix.cz/doplnky/slovniky/ooo/dict-cs-2.0.oxt) but in find a lot of widely-known phases and spellchecker offer you replace correct form "při" with form with bad encoding "pØi". You might use a cocoAspell or any similar system-based spellchecker, but I didn't try it.
Comment 1 vitriol 2011-08-01 23:24:04 UTC
Have you updated your LibO 3.4.2 from a previous version? If yes, see Bug 37195 and let us know if is your case.
Comment 2 Andras Timar 2011-08-02 00:59:49 UTC
(In reply to comment #1)
> Have you updated your LibO 3.4.2 from a previous version? If yes, see Bug 37195
> and let us know if is your case.

No, this is a different case. Czech spell checker dictionary is not included in LibreOffice source, so we don't ship it at all.
Comment 3 Frantisek Erben 2011-08-02 13:33:06 UTC
So, exist any workaround for Libre Office now?
Or I must wait to fix it?
Comment 4 Andras Timar 2011-09-01 06:49:11 UTC
fixed in master (3.5)
Comment 5 Frantisek Erben 2011-12-28 13:21:59 UTC
Verified in LO 3.5.0 Beta 2